Linux Programm korrekt deinstallieren

2 Antworten

Allerdings habe ich es nicht über die apt-get methode bekommen, ich habe die quelle in sources.list eingetragen.

Also hast du es doch über den Paketmanager (apt/dpkg/aptitude) installiert - wie sonst? Das Paket nginx ist in Debian enthalten. Falls du eine neuere Version aus den Quellen, die in der sources.list eingetragen sind, hast bauen lassen, dann wird das doch auch per Paketmanager installiert (auch falls du das Paket mit dpkg installiert hast).. Es sei denn, du hast aus irgendeinem Grund kein DEB-Paket bauen lassen...

Was sagt denn "apt-cache policy nginx"? Evtl. auch nginx-common, nginx-full, nginx-light, nginx-extras. Wenn das was findet, dann kannst du das auch per "apt-get purge nginx*" deinstallieren.

Es sollte auch reichen den Dienst zu deaktivieren und dann zu stoppen.

Ubuntu 16.10 sources.list?

Moin Leute,

Ich habe eine beschädigte bzw falsch "sources.list" auf meinem Server. Ich möchte jedoch etwas installieren und da gibt er mir eben die Fehlermeldung das diese Beschädigt/Falsch ist. (apt-get update bringt nix) Kann ich die datei einfach löschen, server neustarten, und schick?

...zur Frage

Linux apt problem?

Hey Leute. Ich möchte momentan meinen Debian (7) Server einrichten, vieles ist schon konfiguriert, und soweit funktioniert das auch. Nun hatte ich noch vor einen Webserver einzurichten

Meine befehle wären gewesen (Zugriff via PuTTY): apt-get update apt-get upgrade apt-get install apache2 php5 libapache2-mod-php5 apt-get install mysql-server mysql-client php5-mysql apt-get install phpmyadmin /etc/init.d/apache2 restart

allerdings erhalte ich bei den commands fehler Meldung:

You have new mail in /var/mail/root 

root@Fr3ezZers:~# apt-get update 

E: Archives directory /var/cache/apt/archives/partial is missing. - Acquire (2: No such file or directory)

root@Fr3ezZers:~# apt-get upgrade 

E: Unable to write to /var/cache/apt/ E: The package lists or status file could not be parsed or opened. 

root@Fr3ezZers:~# apt-get install apache2 php5 libapache2-mod-php5 E: Unable to write to /var/cache/apt/

 E: The package lists or status file could not be parsed or opened. 

root@Fr3ezZers:~# apt-get install mysql-server mysql-client php5-mysql E: Unable to write to /var/cache/apt/ 

E: The package lists or status file could not be parsed or opened. 

root@Fr3ezZers:~# apt-get install phpmyadmin E: Unable to write to /var/cache/apt/ 

E: The package lists or status file could not be parsed or opened.

Was soll ich nun machen?

...zur Frage

Was möchtest Du wissen?